// Code generated by protoc-gen-go.
// source: types/types.proto
// DO NOT EDIT!

/*
Package types is a generated protocol buffer package.

It is generated from these files:
	types/types.proto

It has these top-level messages:
	Request
	Response
	Validator
*/
package types

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

type MessageType int32

const (
	MessageType_NullMessage MessageType = 0
	MessageType_Echo        MessageType = 1
	MessageType_Flush       MessageType = 2
	MessageType_Info        MessageType = 3
	MessageType_SetOption   MessageType = 4
	MessageType_Exception   MessageType = 5
	MessageType_AppendTx    MessageType = 17
	MessageType_CheckTx     MessageType = 18
	MessageType_Commit      MessageType = 19
	MessageType_Query       MessageType = 20
	MessageType_InitChain   MessageType = 21
	// BeginBlock   = 0x16; NOT USED
	MessageType_EndBlock MessageType = 23
)

var MessageType_name = map[int32]string{
	0:  "NullMessage",
	1:  "Echo",
	2:  "Flush",
	3:  "Info",
	4:  "SetOption",
	5:  "Exception",
	17: "AppendTx",
	18: "CheckTx",
	19: "Commit",
	20: "Query",
	21: "InitChain",
	23: "EndBlock",
}
var MessageType_value = map[string]int32{
	"NullMessage": 0,
	"Echo":        1,
	"Flush":       2,
	"Info":        3,
	"SetOption":   4,
	"Exception":   5,
	"AppendTx":    17,
	"CheckTx":     18,
	"Commit":      19,
	"Query":       20,
	"InitChain":   21,
	"EndBlock":    23,
}

func (x MessageType) String() string {
	return proto.EnumName(MessageType_name, int32(x))
}
func (MessageType) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

type CodeType int32

const (
	CodeType_OK CodeType = 0
	// General response codes, 0 ~ 99
	CodeType_InternalError     CodeType = 1
	CodeType_EncodingError     CodeType = 2
	CodeType_BadNonce          CodeType = 3
	CodeType_Unauthorized      CodeType = 4
	CodeType_InsufficientFunds CodeType = 5
	CodeType_UnknownRequest    CodeType = 6
	// Reserved for basecoin, 100 ~ 199
	CodeType_BaseEncodingError     CodeType = 101
	CodeType_BaseBadNonce          CodeType = 102
	CodeType_BaseUnknownAccount    CodeType = 103
	CodeType_BaseUnauthorized      CodeType = 104
	CodeType_BaseInsufficientFunds CodeType = 105
	CodeType_BaseInsufficientFees  CodeType = 106
	// Reserved for governance, 200 ~ 299
	CodeType_GovUnknownEntity      CodeType = 201
	CodeType_GovUnknownGroup       CodeType = 202
	CodeType_GovUnknownProposal    CodeType = 203
	CodeType_GovDuplicateGroup     CodeType = 204
	CodeType_GovDuplicateMember    CodeType = 205
	CodeType_GovDuplicateProposal  CodeType = 206
	CodeType_GovDuplicateVote      CodeType = 207
	CodeType_GovInvalidMember      CodeType = 208
	CodeType_GovInvalidVote        CodeType = 209
	CodeType_GovInvalidVotingPower CodeType = 210
)

var CodeType_name = map[int32]string{
	0:   "OK",
	1:   "InternalError",
	2:   "EncodingError",
	3:   "BadNonce",
	4:   "Unauthorized",
	5:   "InsufficientFunds",
	6:   "UnknownRequest",
	101: "BaseEncodingError",
	102: "BaseBadNonce",
	103: "BaseUnknownAccount",
	104: "BaseUnauthorized",
	105: "BaseInsufficientFunds",
	106: "BaseInsufficientFees",
	201: "GovUnknownEntity",
	202: "GovUnknownGroup",
	203: "GovUnknownProposal",
	204: "GovDuplicateGroup",
	205: "GovDuplicateMember",
	206: "GovDuplicateProposal",
	207: "GovDuplicateVote",
	208: "GovInvalidMember",
	209: "GovInvalidVote",
	210: "GovInvalidVotingPower",
}
var CodeType_value = map[string]int32{
	"OK":                    0,
	"InternalError":         1,
	"EncodingError":         2,
	"BadNonce":              3,
	"Unauthorized":          4,
	"InsufficientFunds":     5,
	"UnknownRequest":        6,
	"BaseEncodingError":     101,
	"BaseBadNonce":          102,
	"BaseUnknownAccount":    103,
	"BaseUnauthorized":      104,
	"BaseInsufficientFunds": 105,
	"BaseInsufficientFees":  106,
	"GovUnknownEntity":      201,
	"GovUnknownGroup":       202,
	"GovUnknownProposal":    203,
	"GovDuplicateGroup":     204,
	"GovDuplicateMember":    205,
	"GovDuplicateProposal":  206,
	"GovDuplicateVote":      207,
	"GovInvalidMember":      208,
	"GovInvalidVote":        209,
	"GovInvalidVotingPower": 210,
}

func (x CodeType) String() string {
	return proto.EnumName(CodeType_name, int32(x))
}
func (CodeType) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

type Request struct {
	Type       MessageType  `protobuf:"varint,1,opt,name=type,enum=types.MessageType" json:"type,omitempty"`
	Data       []byte       `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	Key        string       `protobuf:"bytes,3,opt,name=key" json:"key,omitempty"`
	Value      string       `protobuf:"bytes,4,opt,name=value" json:"value,omitempty"`
	Validators []*Validator `protobuf:"bytes,5,rep,name=validators" json:"validators,omitempty"`
	Height     uint64       `protobuf:"varint,6,opt,name=height" json:"height,omitempty"`
}

func (m *Request) Reset()                    { *m = Request{} }
func (m *Request) String() string            { return proto.CompactTextString(m) }
func (*Request) ProtoMessage()               {}
func (*Request) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Request) GetValidators() []*Validator {
	if m != nil {
		return m.Validators
	}
	return nil
}

type Response struct {
	Type       MessageType  `protobuf:"varint,1,opt,name=type,enum=types.MessageType" json:"type,omitempty"`
	Data       []byte       `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	Code       CodeType     `protobuf:"varint,3,opt,name=code,enum=types.CodeType" json:"code,omitempty"`
	Error      string       `protobuf:"bytes,4,opt,name=error" json:"error,omitempty"`
	Log        string       `protobuf:"bytes,5,opt,name=log" json:"log,omitempty"`
	Validators []*Validator `protobuf:"bytes,6,rep,name=validators" json:"validators,omitempty"`
}

func (m *Response) Reset()                    { *m = Response{} }
func (m *Response) String() string            { return proto.CompactTextString(m) }
func (*Response) ProtoMessage()               {}
func (*Response) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *Response) GetValidators() []*Validator {
	if m != nil {
		return m.Validators
	}
	return nil
}

type Validator struct {
	PubKey []byte `protobuf:"bytes,1,opt,name=pubKey,proto3" json:"pubKey,omitempty"`
	Power  uint64 `protobuf:"varint,2,opt,name=power" json:"power,omitempty"`
}

func (m *Validator) Reset()                    { *m = Validator{} }
func (m *Validator) String() string            { return proto.CompactTextString(m) }
func (*Validator) ProtoMessage()               {}
func (*Validator) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func init() {
	proto.RegisterType((*Request)(nil), "types.Request")
	proto.RegisterType((*Response)(nil), "types.Response")
	proto.RegisterType((*Validator)(nil), "types.Validator")
	proto.RegisterEnum("types.MessageType", MessageType_name, MessageType_value)
	proto.RegisterEnum("types.CodeType", CodeType_name, CodeType_value)
}

var fileDescriptor0 = []byte{
	// 652 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0xa4, 0x54, 0xcb, 0x52, 0xdb, 0x4a,
	0x10, 0xbd, 0x63, 0xcb, 0xc6, 0x6e, 0x83, 0x19, 0x0f, 0xf6, 0xc5, 0xf7, 0xae, 0x28, 0x52, 0x95,
	0xa2, 0x58, 0x90, 0x14, 0x59, 0x65, 0x09, 0x8e, 0xa1, 0x5c, 0x14, 0x8f, 0x28, 0xc0, 0x5e, 0x48,
	0x6d, 0x4b, 0xb1, 0x98, 0x51, 0xa4, 0x11, 0xe0, 0xac, 0xf2, 0x3d, 0xf9, 0x81, 0x7c, 0x41, 0x16,
	0x79, 0x3f, 0xbe, 0x28, 0x3d, 0x92, 0x6c, 0x4c, 0x58, 0x64, 0x91, 0x8d, 0x6b, 0xce, 0xe9, 0xe9,
	0xd3, 0xe7, 0xb4, 0xa6, 0x0c, 0x2d, 0x3d, 0x89, 0x30, 0x79, 0x94, 0xfd, 0x6e, 0x45, 0xb1, 0xd2,
	0x4a, 0x54, 0x32, 0xb0, 0xfe, 0x8e, 0xc1, 0x82, 0x8d, 0xaf, 0x52, 0x4c, 0xb4, 0x78, 0x08, 0x96,
	0x21, 0xbb, 0x6c, 0x8d, 0x6d, 0x34, 0xb7, 0xc5, 0x56, 0x7e, 0xfd, 0x10, 0x93, 0xc4, 0x19, 0xe1,
	0x29, 0x01, 0x3b, 0xab, 0x0b, 0x01, 0x96, 0xe7, 0x68, 0xa7, 0x5b, 0xa2, 0x7b, 0x8b, 0x76, 0x76,
	0x16, 0x1c, 0xca, 0x63, 0x9c, 0x74, 0xcb, 0x44, 0xd5, 0x6d, 0x73, 0x14, 0x6d, 0xa8, 0x5c, 0x39,
	0x61, 0x8a, 0x5d, 0x2b, 0xe3, 0x72, 0x20, 0x1e, 0x03, 0xd0, 0x21, 0xa0, 0x1e, 0x15, 0x27, 0xdd,
	0xca, 0x5a, 0x79, 0xa3, 0xb1, 0xcd, 0x8b, 0x49, 0xe7, 0xd3, 0x82, 0x3d, 0x77, 0x47, 0xfc, 0x0b,
	0x55, 0x1f, 0x83, 0x91, 0xaf, 0xbb, 0x55, 0x12, 0xb2, 0xec, 0x02, 0xad, 0xbf, 0x67, 0x50, 0xb3,
	0x31, 0x89, 0x94, 0x4c, 0xf0, 0xaf, 0xac, 0x3f, 0x00, 0xcb, 0x55, 0x1e, 0x66, 0xde, 0x9b, 0xdb,
	0xcb, 0x45, 0x6f, 0x8f, 0xa8, 0xbc, 0xd1, 0x14, 0x4d, 0x1a, 0x8c, 0x63, 0x15, 0x4f, 0xd3, 0x64,
	0xc0, 0xa4, 0x0e, 0xd5, 0x88, 0x62, 0x64, 0xa9, 0xe9, 0xf8, 0x5b, 0xbe, 0xea, 0x9f, 0xf3, 0xad,
	0x3f, 0x85, 0xfa, 0xac, 0x60, 0xc2, 0x46, 0xe9, 0xc5, 0x01, 0x6d, 0x92, 0x65, 0x0e, 0x0b, 0x64,
	0xc6, 0x47, 0xea, 0x1a, 0xe3, 0xcc, 0xb8, 0x65, 0xe7, 0x60, 0xf3, 0x2d, 0x83, 0xc6, 0x5c, 0x46,
	0xb1, 0x0c, 0x8d, 0xa3, 0x34, 0x0c, 0x0b, 0x8a, 0xff, 0x23, 0x6a, 0x60, 0xf5, 0x5d, 0x5f, 0x71,
	0x26, 0xea, 0x50, 0xd9, 0x0b, 0xd3, 0xc4, 0xe7, 0x25, 0x43, 0x0e, 0xe4, 0x50, 0xf1, 0xb2, 0x58,
	0x82, 0xfa, 0x0b, 0xd4, 0xc7, 0x91, 0x0e, 0x94, 0xe4, 0x96, 0x81, 0xfd, 0x1b, 0x17, 0x73, 0x58,
	0x11, 0x8b, 0x50, 0xdb, 0x89, 0x22, 0x94, 0xde, 0xe9, 0x0d, 0x6f, 0x89, 0x06, 0x2c, 0xf4, 0x7c,
	0x74, 0xc7, 0x04, 0x68, 0x8b, 0x50, 0xed, 0xa9, 0xcb, 0xcb, 0x40, 0xf3, 0x15, 0xa3, 0xfc, 0x3c,
	0xc5, 0x78, 0xc2, 0xdb, 0x46, 0x60, 0x20, 0x03, 0xdd, 0xf3, 0x9d, 0x40, 0xf2, 0x8e, 0x11, 0xe8,
	0x4b, 0x6f, 0x37, 0x54, 0xee, 0x98, 0xaf, 0x6e, 0xbe, 0xb1, 0xa0, 0x36, 0x5d, 0xaa, 0xa8, 0x42,
	0xe9, 0xf8, 0x80, 0x0c, 0xb6, 0x60, 0x69, 0x20, 0x35, 0xc6, 0xd2, 0x09, 0xfb, 0x66, 0xa3, 0xe4,
	0x94, 0xa8, 0xbe, 0xa4, 0x9d, 0x07, 0x72, 0x94, 0x53, 0x25, 0x23, 0xb4, 0xeb, 0x78, 0x47, 0x4a,
	0xba, 0x48, 0xae, 0x39, 0x2c, 0x9e, 0x49, 0x27, 0xd5, 0xbe, 0x8a, 0x83, 0xd7, 0xe8, 0x91, 0xf1,
	0x0e, 0xb4, 0x06, 0x32, 0x49, 0x87, 0xc3, 0xc0, 0x0d, 0x50, 0xea, 0xbd, 0x54, 0x7a, 0x09, 0x05,
	0x10, 0xd0, 0x3c, 0x93, 0x63, 0xa9, 0xae, 0x65, 0xf1, 0xc2, 0x79, 0xd5, 0x5c, 0xdd, 0x75, 0x12,
	0xbc, 0x3b, 0x01, 0x8d, 0xa6, 0xa1, 0x67, 0x53, 0x86, 0xf4, 0x25, 0x84, 0x61, 0x0a, 0x81, 0x1d,
	0xd7, 0x55, 0xa9, 0xd4, 0x7c, 0x44, 0x5f, 0x82, 0xe7, 0xfc, 0x9c, 0x03, 0x5f, 0xfc, 0x07, 0x1d,
	0xc3, 0xde, 0x77, 0x11, 0x88, 0x2e, 0xb4, 0xef, 0x95, 0x10, 0x13, 0xfe, 0x92, 0xbc, 0xf0, 0x7d,
	0x75, 0x55, 0x4c, 0xe8, 0x4b, 0x1d, 0xe8, 0x09, 0xff, 0xc0, 0x68, 0xc2, 0xf2, 0x2d, 0xbd, 0x1f,
	0xab, 0x34, 0xe2, 0x1f, 0x99, 0x58, 0x05, 0x71, 0xcb, 0x9e, 0xc4, 0x2a, 0x52, 0x89, 0x13, 0xf2,
	0x4f, 0x8c, 0x8c, 0xb6, 0xa8, 0xf0, 0x2c, 0x8d, 0xc2, 0xc0, 0x75, 0x34, 0xe6, 0x0d, 0x9f, 0xa7,
	0x0d, 0x33, 0xfe, 0x10, 0x2f, 0x2f, 0x30, 0xe6, 0x5f, 0x18, 0x79, 0x6d, 0xcf, 0x17, 0x66, 0x5a,
	0x5f, 0x59, 0xe1, 0x68, 0x56, 0x3a, 0x57, 0x1a, 0xf9, 0xb7, 0x29, 0x3d, 0x90, 0xd9, 0xab, 0x2d,
	0x84, 0xbe, 0x33, 0xb1, 0x02, 0xcd, 0x5b, 0x3a, 0xbb, 0xfb, 0x83, 0x89, 0xff, 0xa1, 0x73, 0x87,
	0xa4, 0x25, 0x9f, 0x98, 0xc7, 0xca, 0x7f, 0xb2, 0x8b, 0x6a, 0xf6, 0xd7, 0xf3, 0xe4, 0x57, 0x00,
	0x00, 0x00, 0xff, 0xff, 0x9d, 0x98, 0x5a, 0xc8, 0x8f, 0x04, 0x00, 0x00,
}
